apply plugin: 'com.android.library'
android {
    compileSdkVersion rootProject.ext.compileSdkVersion
    buildToolsVersion rootProject.ext.buildToolsVersion

    defaultConfig {
        minSdkVersion rootProject.ext.minSdkVersion
        targetSdkVersion rootProject.ext.targetSdkVersion
        versionCode 1
        versionName "1.0"
        flavorDimensions "default"
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }

    repositories {
        mavenCentral()
        maven { url 'https://maven.google.com' }
    }

    sourceSets {
        main {
            jniLibs.srcDir 'libs'
        }
    }
    productFlavors {
        //开发环境
        dev {
        }

        sit {
        }

        pro {
        }
    }
}

dependencies {
    api fileTree(include: ['*.jar'], dir: 'libs')
    /*系统*/
    api 'com.jakewharton:butterknife:9.0.0-rc1'
    annotationProcessor 'com.jakewharton:butterknife-compiler:9.0.0-rc1'
    /*fragment*/
    api 'me.yokeyword:fragmentation:1.3.5'
    /*适配*/
    api 'me.jessyan:autosize:1.1.2'
    //导入RxJava 和 RxAndroid
    api 'io.reactivex.rxjava2:rxandroid:2.0.2'
    api 'io.reactivex.rxjava2:rxjava:2.1.12'
    api 'com.squareup.retrofit2:retrofit:2.3.0'
    //导入retrofit
    api 'com.squareup.retrofit2:converter-gson:2.3.0'
    //OkHttp  利用OkGo
    //api "com.squareup.okhttp3:okhttp:$rootProject.ext.okHttpVersion"
    api "com.squareup.okhttp3:logging-interceptor:$rootProject.ext.okHttpVersion"
    //转换器，请求结果转换成Model
    api 'com.squareup.retrofit2:adapter-rxjava2:2.3.0'
    api 'com.davemorrissey.labs:subsampling-scale-image-view:3.9.0'
    api project(path: ':RvFrame')
    //    glide相关
    api 'com.github.bumptech.glide:glide:4.7.1'
    annotationProcessor 'com.github.bumptech.glide:compiler:4.7.1'
    api 'com.github.bumptech.glide:okhttp3-integration:4.3.1'
    api 'com.davemorrissey.labs:subsampling-scale-image-view:3.9.0'
    implementation 'com.alibaba:fastjson:1.2.21'
    implementation project(':component_utils')
    implementation files('libs/tbs_sdk_thirdapp_v3.6.0.1310_43612_sharewithdownload_withoutGame_obfs_20180706_163319.jar')
}
